import csv

# create happy languages list (not sorted)
with open('previous csv file') as inFile, open('happy languages csv not sorted', 'w') as outFile:

    fileReader = csv.reader(inFile, delimiter=';')
    next(fileReader) # skip header row
    writer = csv.writer(outFile, delimiter=';')
    writer.writerow(['lang', 'positive', 'negative'])

    i = 0
    pos = 0
    neg = 0
    for row in fileReader:
        
        if i < 11:
            i += 1
            lang = row[0]
            pos += float(row[11]) + float(row[12]) + float(row[13])
            neg += float(row[14]) + float(row[15]) + float(row[16])

        elif i >= 11:
            i = 0
            writer.writerow([lang, pos/12, neg/12])
            pos = 0
            neg = 0
        
    
# create ranking (sorted)

rank = {}

with open('happy languages csv not sorted') as inFile, open('ranking csv', 'w') as outFile:
    fileReader = csv.reader(inFile, delimiter=';')
    next(fileReader) # skip header row
    writer = csv.writer(outFile, delimiter=';')
    writer.writerow(['lang','positive'])
    for row in fileReader:
        rank[row[0]] = row[1]

    for element in sorted(rank.items(), key=lambda x:x[1], reverse=True):
        array = []
        for e in element:
            array.append(e)
        writer.writerow(array)

    